//
//  scViewController.m
//  sc
//
//  Created by xcc on 09/08/15.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "scViewController.h"
#import "testView.h"

@implementation scViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	[super loadView];

	scrollview = [[UIScrollView alloc] initWithFrame:self.view.bounds];
	[self.view addSubview:scrollview];
	testview = [[testView alloc] initWithFrame:CGRectMake(0, 0, 500, 500)];
    [scrollview addSubview:testview];
	[scrollview setContentSize:testview.frame.size];	//	スクロール範囲設定
	[scrollview setDelegate:self];			//	デリゲート設定
	[scrollview setMinimumZoomScale:0.1];	//	ズームアウト下限設定
	[scrollview setMaximumZoomScale:10.0];	//	ズームイン上限設定。
}


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

/*
	この移譲メソッドでズーム対象のUIViewを返す事で、UIScrollViewはピンチジェスチャーに対応してくれる。
	ただし、setMinimumZoomScaleかsetMaximumZoomScaleで1.0以外を指定していないと意味が無い。
*/
- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView {
    UIView *view = nil;
    if (scrollView == scrollview) {
        view = testview;
    }
    return view;
}

@end
